- Qt 5.15
- Qt Quick 3D
- QML Types
- Shader QML Type
- Qt Quick 3D | Commercial or GPLv3

# Shader QML Type

Container component for defining shader code used by CustomMaterials and Effects. More...

Import Statement: | import QtQuick3D 1.15

- List of all members, including inherited members

## Properties

- shader : string
- stage : enumeration

## Detailed Description

## Property Documentation

shader : string

Specifies the name of the shader source file.

stage : enumeration

Specifies the shader stage. The default is `Shader.Shared`

Constant | Description
--- | ---
`Shader.Shared` | The shader can be shared among different stages
`Shader.Vertex` | The shader is a vertex shader
`Shader.Fragment` | The shader is a fragment shader
`Shader.Geometry` | The shader is a geometry shader
`Shader.Compute` | The shader is a compute shader